LILO(8)

BEZEICHNUNG
lilo - installiert den Boot-Loader

Diese Handbuchseite ist eventuell veraltet. Im Zweifelsfall ziehen Sie die englischsprachige Handbuchseite zu Rate, indem Sie

    man -LC 8 lilo

eingeben.

ÜBERSICHT
Hauptfunktion:

/sbin/lilo
    - installiert den Boot-Loader LILO

Hilfreiche Parameter in Kurzform :

/sbin/lilo -q
    - gibt den Inhalt der Datei map aus.

/sbin/lilo -R
    - legt die Kommandozeile für den nächsten Reboot fest.

/sbin/lilo -I
    - gibt den Pfadnamen des aktuellen Kernels aus.

/sbin/lilo {-u|-U}
    - deinstalliert lilo

BESCHREIBUNG
lilo installiert einen Boot-Loader, der beim nächsten Systemstart aktiviert wird. Das Programm kann mit einer ganzen Reihe von Optionen aufgerufen werden :

-v  Erhöht die Anzahl der Statusmeldungen. Die Angabe eines oder mehrerer -v's hinter den eigentlichen Parametern, veranlaßt lilo, mehr Details über den augenblicklichen Zustand auszugeben.

-q  Gibt den oder die Namen der bootbaren Kernel aus. lilo verwendet eine Datei, standardmäßig heißt sie /boot/map, in der der Name und die Lage der beim Systemstart ladbaren Kernel angegeben ist. Diese Option zeigt alle in der Datei eingetragenen Kernelnamen an.

-m Map-Datei
    Benutze den angegebenen Dateinamen, anstatt der Vorgabe map

-C Konfigurations-Datei
    lilo liest die Angaben, welche Kernel mit welchen Parametern in die Map-Datei aufgenommen werden, aus einer Konfigurations-Datei. Diese heißt standardmäßig /etc/lilo.conf. Mit dieser Option kann ein abweichender Konfigurations-Dateiname angegeben werden.

-d Boot-Verzögerung
    Eine Zeitangabe in Zehntelsekunden. Sind in der Konfigurations-Datei mehrere Kernel vorhanden, kann nach dem Drücken der <SHIFT>-Taste während des Systemstarts ein gewünschter Kernel über die Eingabe seines Namens gestartet werden. Die <TAB>-Taste zeigt die vorhandenen Kernel an. Erfolgt innerhalb der durch die Boot-Verzögerung erzeugten Zeitspanne keine manuelle Eingabe, wird automatisch der erste in der Liste erscheinende Kernel gebootet.

-D Kernelname
    Diese Option lädt den angegebenen Kernel. Die Reihenfolge innerhalb der Auswahlliste wird umgangen.

-r Root-Verzeichnis
    Bevor diese Option genutzt werden kann, muss zuerst ein chroot auf dem gewünschten Verzeichnis durchgeführt werden. Sollte im Fall einer Wiederherstellung eines Systems über eine Bootdiskette das Root-Verzeichnis an anderer Stelle im Verzeichnisbaum eingehängt sein, ist diese Option nötig.

-t  Nur ein Test. Es wird weder ein neuer Boot-Sektor geschrieben, noch eine neue Map-Datei. Im Zusammenhang mit der Option -v wird ausgegeben, was lilo zur endgültigen Installation verändern wird.

-c  Benachbarte Sektoren werden zusammenhängend gelesen. Dies beschleunigt insbesondere das Booten von einer Diskette.

-f Festplatten-Tabelle
    Gibt eine Datei an, in der die Geometrie der vorhandenen Festplatten hinterlegt ist. Sollte lilo nicht in der Lage sein, die Plattenparameter selbstständig zu erkennen, können hier die erforderlichen Eintragungen vorgenommen werden. Standardmäßig heißt die Datei /etc/disktab.

-i Boot-Sektor
    Gibt die Datei an, die als neuer Boot-Sektor verwendet werden soll. Als Standard gilt : /boot/boot.b.

-l  Diese Option erzeugt zur Laufzeit lineare Adressen, anstelle der üblichen Kopf/Zylinder/Sektor-Adressierung. Nützlich wenn lilo die Geometrie bei großen Platten nicht einwandfrei ermitteln kann. Auf einem solchen System erzeugte Bootdisketten sind unter Umständen nicht auf ein anderes übertragbar, da das BIOS diese Option für Disketten nicht immer unterstützt.

-P {fix|ignore}
    Repariere (oder ignoriere) defekte Partitionstabellen, bei denen die die Übereinstimmung zwischen der linearen- und der Kopf/Zylinder/Sektor- Adressierung nicht mehr gegeben ist.

-s Sicherungs-Datei
    Wenn lilo den Boot-Sektor überschreibt, sichert es den alten Inhalt standardmäßig in die Datei /boot/boot.NNNN, wobei NNNN vom Device abhängt. Für /dev/hda würde beispielsweise die Datei boot.0300 geschrieben werden, oder für /dev/sda boot.0800. Diese Option lässt eine Sicherung auch in eine andere Datei zu. Dies gilt dann natürlich auch für das Zurückschreiben des betreffenden Boot-Sektors mittels der Option -u.

-S Sicherungs-Datei
    Normalerweise wird lilo keine existierende Sicherungs-Datei durch eine weitere überschreiben. Diese Option erlaubt jedoch das Überschreiben.

-u Device-Name
    Deinstallation von lilo durch das Zurückkopieren des gesicherten Boot-Sektors auf das entsprechende Device. Zur Sicherheit wird die Zeitmarke der Sicherungs-Datei überprüft.

-U Device-Name
    wie bei -u, jedoch ohne Überprüfung einer Zeitmarke.

-R Kommando-Zeile
    Diese Option legt die Kommandos für den nächsten Systemstart fest. Hierduch wird die übliche Kommando-Zeile ersetzt - allerdings nicht dauerhaft - sondern nur für diesen einen Start. Typischerweise wird diese Option innerhalb von Scripts benutzt, die den Befehl `shutdown -r' beinhalten.

-I Kernelname
    Die Bezeichnung des gerade laufenden Kernels kann nach dem Booten mit der Umgebungsvariable BOOT_IMAGE festgestellt werden. Dieser Befehl gibt den entsprechenden Namen auf die Standardausgabe.

-V  Zeigt die Versionsnummer an.

Die obigen Optionen für einen kommandozeilen-orientierten Aufruf von lilo entsprechen den unten angegeben Schlüsselwörtern :

    -b Boot-Device | boot=Boot-Device
    -c | compact
    -d Boot-Verzögerung | delay=Boot-Verzögerung
    -D Kernelname | default=Kernelname
    -i Boot-Sektor | install=Boot-Sektor
    -f Festplatten-Tabelle | disktab=Festplatten-Tabelle
    -l | linear
    -m Map-Datei | map=Map-Datei
    -P fix | Repariere defekte Partitionstabelle
    -P ignore | ignoriere defekte Partitionstabelle
    -s Sicherungs-Datei | backup=Sicherungs-Datei
    -S Sicherungs-Datei | force-backup=Sicherungs-Datei
    -v | verbose=<1,2,3,4 oder 5>

SIEHE AUCH
lilo.conf(5). Zur lilo-Distribution gehört eine sehr umfangreiche und detaillierte Dokumentation.

AUTOR
Werner Almesberger (almesber@bernina.ethz.ch).